This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 181316 - anaconda does not handle dmraid (promise pdc20376) stripe single drives correctly
anaconda does not handle dmraid (promise pdc20376) stripe single drives corre...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-02-13 09:13 EST by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 18:28:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2006-02-13 09:13:43 EST
While trying to install 20060210 rawhide tree I came across this bug:
I pulled out a hd from my old i386 (Asus A7V8X) with Promise PDC20376 which has
2 SATA and 1 PATA port. The driv ewas added to a one disc stripe raid in order
for windows to see it. This worked w/o any problems there. I put the drive in as
hdb on my new workstation and anaconda detected it as mapper/pdc.... something.
When I tried to setup the disc layout anaconda actually managed to add the new
partition  but the format afterwards failed. The only fix was to dmraid -rE the
metadata and install as it should have been to hdb...
Comment 1 Peter Jones 2006-02-13 18:28:44 EST
This isn't really fixable -- if we find valid raid metadata, we have no way to
tell if BIOS is set up to boot it or not.  So you can either remove it (with
"dmraid" or via the bios itself), or you can boot the installer with "nodmraid",
which will make it ignore the metadata.

Note You need to log in before you can comment on or make changes to this bug.